document.addEventListener('DOMContentLoaded', () => {
  const textarea = document.querySelector('textarea');
  const postBtn = document.querySelector('.post-btn');
  const feed = document.querySelector('.feed');

  // Auto-resize textarea
  textarea.addEventListener('input', function() {
    this.style.height = 'auto';
    this.style.height = this.scrollHeight + 'px';
  });

  // Handle post creation
  postBtn.addEventListener('click', () => {
    const content = textarea.value.trim();
    if (content) {
      createPost(content);
      textarea.value = '';
      textarea.style.height = 'auto';
    }
  });

  function createPost(content) {
    const post = document.createElement('article');
    post.className = 'post';
    post.innerHTML = `
      <img class="avatar" src="data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Ccircle fill='%23ddd' cx='12' cy='12' r='12'/%3E%3C/svg%3E" alt="User avatar">
      <div class="post-content">
        <div class="post-header">
          <span class="username">User</span>
          <span class="handle">@user</span>
          <span class="timestamp">${new Date().toLocaleString()}</span>
        </div>
        <p>${content}</p>
        <div class="post-actions">
          <button aria-label="Reply">💬 0</button>
          <button aria-label="Repost">🔁 0</button>
          <button aria-label="Like">❤️ 0</button>
        </div>
      </div>
    `;
    
    feed.insertBefore(post, feed.firstChild);
  }

  // Add some initial posts
  const samplePosts = [
    "Just learned about semantic HTML! #WebDev",
    "Working on a new project using vanilla JavaScript 🚀",
    "CSS Grid is amazing for layouts!"
  ];

  samplePosts.forEach(post => createPost(post));
});
